## InfTextRemoteDeleteOperation

InfTextRemoteDeleteOperation

## Functions

InfTextRemoteDeleteOperation * | inf_text_remote_delete_operation_new ()

## Properties

guint | length | Read / Write / Construct Only
guint | position | Read / Write / Construct Only

## Types and Values

struct | InfTextRemoteDeleteOperation
struct | InfTextRemoteDeleteOperationClass

## Object Hierarchy

        GObject
        ╰── InfTextRemoteDeleteOperation

## Implemented Interfaces

InfTextRemoteDeleteOperation implements InfAdoptedOperation and InfTextDeleteOperation.

## Description

## Functions

### inf_text_remote_delete_operation_new ()

    InfTextRemoteDeleteOperation *
    inf_text_remote_delete_operation_new (guint position,
                                          guint length);

Creates a new delete operation that, when applied, deletes `length` characters starting from position `position` . Note that this operation is not reversible because it does not know the text to delete and is therefore only used to transmit a delete operation through the network to reduce bandwidth usage. The remote part can then reconstruct the deleted text using `inf_adopted_operation_apply_transformed()`.

However, it is easier to just use InfTextDefaultDeleteOperation if you want the operation to be reversible.

[constructor]

#### Parameters

position | The position at which to delete text. |
length | The number of characters to delete. |

#### Returns

A new InfTextRemoteDeleteOperation.

[transfer full]

## Types and Values

### struct InfTextRemoteDeleteOperation

    struct InfTextRemoteDeleteOperation;

### struct InfTextRemoteDeleteOperationClass

    struct InfTextRemoteDeleteOperationClass {
      GObjectClass parent_class;
    };

## Property Details

### The `“length”` property

      “length”                   guint

The length of the deleted text.

Owner: InfTextRemoteDeleteOperation

Flags: Read / Write / Construct Only

Default value: 0

### The `“position”` property

      “position”                 guint

Position where to start deleting characters.

Owner: InfTextRemoteDeleteOperation

Flags: Read / Write / Construct Only

Default value: 0